--[[

   Hidden Doors - Adds various wood, stone, etc. doors.

   Copyright (C) 2017-2018  Hamlet

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
   MA 02110-1301, USA.

]]--


--
-- Darkage module support
--

hidden_doors.register_hidden_doors("darkage", "adobe", recipeItem1,
   "darkage:adobe", nil, S("Adobe"),
   stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "basalt", recipeItem1,
   "stairs:slab_darkage_basalt", "stairs:slab_darkage_basalt", S("Basalt"),
   stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "basalt_rubble", recipeItem1,
   "stairs:slab_darkage_basalt_rubble", "stairs:slab_darkage_basalt_rubble",
   S("Basalt Rubble"), stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "basalt_brick", recipeItem1,
   "stairs:slab_darkage_basalt_brick", "stairs:slab_darkage_basalt_brick",
   S("Basalt Brick"), stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "basalt_block", recipeItem1,
   "darkage:basalt_block", nil, S("Basalt Block"),
   stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "gneiss", recipeItem1,
   "stairs:slab_darkage_gneiss", "stairs:slab_darkage_gneiss",
   S("Gneiss"), stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "gneiss_rubble", recipeItem1,
   "stairs:slab_darkage_gneiss_rubble", "stairs:slab_darkage_gneiss_rubble",
   S("Gneiss Rubble"), stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "gneiss_brick", recipeItem1,
   "stairs:slab_darkage_gneiss_brick", "stairs:slab_darkage_gneiss_brick",
   S("Gneiss Brick"), stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "gneiss_block", recipeItem1,
   "darkage:gneiss_block", nil, S("Gneiss Block"),
   stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "marble", recipeItem1,
   "stairs:slab_darkage_marble", "stairs:slab_darkage_marble",
   S("Marble"), stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "marble_tile", recipeItem1,
   "stairs:slab_darkage_marble_tile", "stairs:slab_darkage_marble_tile",
   S("Marble Tile"), stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "ors", recipeItem1,
   "stairs:slab_darkage_ors", "stairs:slab_darkage_ors",
   S("Old Red Sandstone"), stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "ors_rubble", recipeItem1,
   "stairs:slab_darkage_ors_rubble", "stairs:slab_darkage_ors_rubble",
   S("Old Red Sandstone Rubble"), stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "ors_brick", recipeItem1,
   "stairs:slab_darkage_ors_brick", "stairs:slab_darkage_ors_brick",
   S("Old Red Sandstone Brick"), stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "ors_block", recipeItem1,
   "darkage:ors_block", nil, S("Old Red Sandstone Block"),
   stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "serpentine", recipeItem1,
   "stairs:slab_darkage_serpentine", "stairs:slab_darkage_serpentine",
   S("Serpentine"), stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "shale", recipeItem1,
   "stairs:slab_darkage_shale", "stairs:slab_darkage_shale",
   S("Shale"), stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "schist", recipeItem1,
   "stairs:slab_darkage_schist", "stairs:slab_darkage_schist",
   S("Schist"), stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "slate", recipeItem1,
   "stairs:slab_darkage_slate", "stairs:slab_darkage_slate",
   S("Slate"), stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "slate_rubble", recipeItem1,
   "stairs:slab_darkage_slate_rubble", "stairs:slab_darkage_slate_rubble",
   S("Slate Rubble"), stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "slate_tile", recipeItem1,
   "stairs:slab_darkage_slate_tile", "stairs:slab_darkage_slate_tile",
   S("Slate Tile"), stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "slate_block", recipeItem1,
   "darkage:slate_block", nil, S("Slate Block"),
   stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "slate_brick", recipeItem1,
   "stairs:slab_darkage_slate_brick", "stairs:slab_darkage_slate_brick",
   S("Slate Brick"), stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "tuff", recipeItem1,
   "stairs:slab_darkage_tuff", "stairs:slab_darkage_tuff",
   S("Tuff"), stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "tuff_bricks", recipeItem1,
   "stairs:slab_darkage_tuff_bricks", "stairs:slab_darkage_tuff_bricks",
   S("Tuff Bricks"), stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "tuff_rubble", recipeItem1,
   "darkage:tuff_rubble", nil, S("Tuff Rubble"),
   stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "rhyolitic_tuff", recipeItem1,
   "stairs:slab_darkage_rhyolitic_tuff",
   "stairs:slab_darkage_rhyolitic_tuff",
   S("Rhyolitic Tuff"), stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "rhyolitic_tuff_bricks",
   recipeItem1,
   "stairs:slab_darkage_rhyolitic_tuff_bricks",
   "stairs:slab_darkage_rhyolitic_tuff_bricks",
   S("Rhyolitic Tuff Bricks"), stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "old_tuff_bricks",
   recipeItem1,
   "stairs:slab_darkage_old_tuff_bricks",
   "stairs:slab_darkage_old_tuff_bricks",
   S("Old Tuff Bricks"), stone_default, stone_open, stone_close)

hidden_doors.register_hidden_doors("darkage", "rhyolitic_tuff_rubble",
   recipeItem1, "darkage:rhyolitic_tuff_rubble", nil,
   S("Rhyolitic Tuff Rubble"), stone_default, stone_open, stone_close)
